Name:          rtmpdump0
Version:       2.3
Release:       5mamba
Summary:       rtmpdump is a toolkit for RTMP streams
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://rtmpdump.mplayerhq.hu/
Source:        http://rtmpdump.mplayerhq.hu/download/rtmpdump-%{version}.tgz
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      librtmp0 = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
rtmpdump is a toolkit for RTMP streams. All forms of RTMP are supported, including rtmp://,
rtmpt://, rtmpe://, rtmpte://, and rtmps://. 

%package -n librtmp0
Group:         System/Libraries
Summary:       RTMP implementation Libraries

%description -n librtmp0
rtmpdump is a toolkit for RTMP streams.

This package contains RTMP implementation Libraries.

%package -n librtmp0-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for the RTMP implementation Libraries
Requires:      librtmp0 = %{?epoch:%epoch:}%{version}-%{release}

%description -n librtmp0-devel
rtmpdump is a toolkit for RTMP streams.

This package contains static libraries and header files need for development.

%prep
%setup -q -n rtmpdump-%{version}

sed -i "s|/include|/include/librtmp|" librtmp/librtmp.pc.in

%build

%make all -C librtmp
%make progs 

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

make DESTDIR=%{buildroot} \
  prefix=%{_prefix} \
  libdir=%{_libdir} \
  mandir=%{_mandir} \
  install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n librtmp0 -p /sbin/ldconfig
%postun -n librtmp0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/rtmpdump
%{_sbindir}/rtmpgw
%{_sbindir}/rtmpsrv
%{_sbindir}/rtmpsuck
%{_mandir}/man1/rtmpdump.1*
%{_mandir}/man8/rtmpgw.8*

%files -n librtmp0
%defattr(-,root,root)
%{_libdir}/librtmp.so.*
%doc COPYING

%files -n librtmp0-devel
%defattr(-,root,root)
%dir %{_includedir}/librtmp/
%{_includedir}/librtmp/*.h
%{_libdir}/librtmp.a
%{_libdir}/librtmp.so
%{_libdir}/pkgconfig/librtmp.pc
%{_mandir}/man3/librtmp.3.gz
%doc ChangeLog README

%changelog
* Tue Aug 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-5mamba
- librtmp0-devel: fix requirement for libmtp0

* Tue Aug 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-4mamba
- legacy package

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 2.3-3mamba
- perodic rebuild

* Fri Jan 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-2mamba
- rebuilt in devel

* Thu Feb 17 2011 gil <puntogil@libero.it> 2.3-1mamba
- package created by autospec
